Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class PropertyHandlerEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gmf.runtime.diagram.ui.editpolicies.PropertyHandlerEditPolicy

All Implemented Interfaces:
  EditPolicy, RequestConstants

public class PropertyHandlerEditPolicy
extends AbstractEditPolicy

Field Summary

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`PropertyHandlerEditPolicy()`

Method Summary
`Command` `getCommand(Request request)`
`protected org.eclipse.emf.transaction.TransactionalEditingDomain` `getEditingDomain()`
`protected java.util.List` `getStyleExclusionsForCopyAppearance()`
`EditPart` `getTargetEditPart(Request request)`
`boolean` `understandsRequest(Request request)`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`activate, deactivate, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, getHost, setHost, showSourceFeedback, showTargetFeedback, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyHandlerEditPolicy

    public PropertyHandlerEditPolicy()

Method Detail

### getCommand

    public Command getCommand(Request request)

  See Also:
    `EditPolicy.getCommand(Request)`

### getStyleExclusionsForCopyAppearance

    protected java.util.List getStyleExclusionsForCopyAppearance()

  Returns:
    a `List` of `EClass` `Style` types that are to be excluded from the copy process.

### understandsRequest

    public boolean understandsRequest(Request request)

  See Also:
    `EditPolicy.understandsRequest(Request)`

### getTargetEditPart

    public EditPart getTargetEditPart(Request request)

  See Also:
    `EditPolicy.getTargetEditPart(org.eclipse.gef.Request)`

### getEditingDomain

    protected org.eclipse.emf.transaction.TransactionalEditingDomain getEditingDomain()

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.